reactivemongo

# ReactiveMongoHelper

###
Related Docs: object ReactiveMongoHelper | package reactivemongo

#### case class ReactiveMongoHelper(dbName: String, servers: Seq[String], auth: Seq[Authenticate], failoverStrategy: Option[FailoverStrategy], connectionOptions: MongoConnectionOptions = MongoConnectionOptions(), dbTimeout: Option[FiniteDuration] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReactiveMongoHelper
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReactiveMongoHelper(dbName: String, servers: Seq[String], auth: Seq[Authenticate], failoverStrategy: Option[FailoverStrategy], connectionOptions: MongoConnectionOptions = MongoConnectionOptions(), dbTimeout: Option[FiniteDuration] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val auth: Seq[Authenticate]

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### lazy val connection: MongoConnection

8. #### val connectionOptions: MongoConnectionOptions

9. #### lazy val db: DefaultDB

10. #### val dbName: String

11. #### val dbTimeout: Option[FiniteDuration]

12. #### lazy val driver: MongoDriver

13. #### implicit val ec: ExecutionContext

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### val failoverStrategy: Option[FailoverStrategy]

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### val servers: Seq[String]

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped